; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	rcall ANZEIGE_TEXT
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	rcall ANZEIGE_TEXT
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TASTENBELEGUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	; ZEILE2	
	rcall LCD_ZEILE2
	; ZEILE3		
	rcall LCD_ZEILE3
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZH, high(TEXT_TASTENBELEGUNG*2)	; TEXT 
	ldi ZL,  low(TEXT_TASTENBELEGUNG*2)
	rjmp ANZEIGE_TEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR:
	LDS temp,(adr_ERROR_CODE)
	tst temp	
	brne ANZEIGE_ERROR_RUN
	ret
;-------------------------------------------------------------------------------
ANZEIGE_ERROR_RUN:
	; ZEILE1
	rcall LCD_CLEAR
	rcall LCD_E
	rcall LCD_R
	rcall LCD_R
	rcall LCD_O
	rcall LCD_R
	; ZEILE2
	rcall LCD_ZEILE2
	LDS temp1,(adr_ERROR_CODE)
	rcall ANZEIGE_HEX_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE3
	rcall LCD_ZEILE3
	LDS temp,(adr_ERROR_CODE)
;-------------------------------------------------------------------------------
	cpi temp,(ERROR_OW_SEARCH)
	brne ANZEIGE_ERROR_NO_x66
	rcall LCD_S
	rcall LCD_E
	rcall LCD_A
	rcall LCD_R
	rcall LCD_C
	rcall LCD_H
	rcall WAIT_100ms
	ret
ANZEIGE_ERROR_NO_x66:
;-------------------------------------------------------------------------------
	cpi temp,(ERROR_OW_CRC)
	brne ANZEIGE_ERROR_NO_CRC
	rcall LCD_C
	rcall LCD_R
	rcall LCD_C
	rcall WAIT_100ms
	ret
ANZEIGE_ERROR_NO_CRC:
;-------------------------------------------------------------------------------
	cpi temp,(ERROR_OW_RESET_PRESENCE)
	brne ANZEIGE_ERROR_NO_RP
	rcall LCD_R
	rcall LCD_MINUS
	rcall LCD_P
	rcall LCD_R
	rcall LCD_E
	rcall LCD_S
	rcall LCD_E
	rcall LCD_N
	rcall LCD_C
	rcall LCD_E
	rcall WAIT_100ms
	ret
ANZEIGE_ERROR_NO_RP:
;-------------------------------------------------------------------------------
	cpi temp,(ERROR_OW_BUS)
	brne ANZEIGE_ERROR_NO_BUS
	rcall LCD_B
	rcall LCD_U
	rcall LCD_S
	rcall WAIT_100ms
	ret
ANZEIGE_ERROR_NO_BUS:
;-------------------------------------------------------------------------------
	cpi temp,(ERROR_TEMPERATURBERECHNUNG )
	brne ANZEIGE_ERROR_NO_x99

	rcall WAIT_100ms
	ret
ANZEIGE_ERROR_NO_x99:
;-------------------------------------------------------------------------------
	cpi temp,(ERROR_OW_SCRATCHPAD_CRC)
	brne ANZEIGE_ERROR_NO_SCRC
	rcall LCD_C
	rcall LCD_R
	rcall LCD_C
	rcall WAIT_100ms
	ret
ANZEIGE_ERROR_NO_SCRC:
;-------------------------------------------------------------------------------
	rcall LCD_FRAGEZEICHEN
	rcall LCD_FRAGEZEICHEN
	rcall LCD_FRAGEZEICHEN
	rcall WAIT_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TESTWERT:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp1,255
	ldi temp2,255
	ldi temp3,255
	ldi temp4,255
	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_10_STELLEN_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################




