; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	LDS temp,(adr_TASTE)
	tst temp
	brne MENUE_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_RUN:
	rcall LCD_CLEAR
	; TASTEN-AUSWERTUNG	
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_MENUE_PLUS)
	breq MENUE_PLUS
	cpi temp,(TASTE_MENUE_MINUS)
	breq MENUE_MINUS
	rjmp MENUE_START
;-------------------------------------------------------------------------------
MENUE_PLUS:
	LDS temp,(adr_MENUE)
	inc temp
	STS(adr_MENUE),temp
	rjmp MENUE_START
;-------------------------------------------------------------------------------
MENUE_MINUS:
	LDS temp,(adr_MENUE)
	tst temp
	breq MENUE_START
	dec temp
	STS(adr_MENUE),temp
	rjmp MENUE_START
;-------------------------------------------------------------------------------
MENUE_START:
	ldi ZL,LOW (MENUE_SPRUNGMARKE)
	ldi ZH,HIGH(MENUE_SPRUNGMARKE)
	LDS temp,(adr_MENUE)
	add ZL,temp
	adc ZH,NULL
	ijmp ; Sprung nach Z
;-------------------------------------------------------------------------------
MENUE_SPRUNGMARKE:
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp MENUE_ANZEIGE_HAUPTMENUE		; 10

	rjmp MENUE_ANZEIGE_SLAVES	; 11
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES

	rjmp MENUE_ANZEIGE_SLAVES	; 21
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 31
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 41
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 51
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 61
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES



	; START-MENUE		
	ldi temp,(START_MENUE)
	STS(adr_MENUE),temp
	rjmp MENUE_START
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_HAUPTMENUE:
	; ZEILE1	
	rcall LCD_CLEAR
	LDS temp1,(adr_ANZAHL_SLAVES)
	rcall ANZEIGE_3_STELLEN_TEMP1
	rcall LCD_SPACE
	rcall LCD_S
	rcall LCD_L
	rcall LCD_A
	rcall LCD_V
	rcall LCD_E
	rcall LCD_S
	; ZEILE2	
	rcall LCD_ZEILE2

	; ZEILE3		
	rcall LCD_ZEILE3

	; ZEILE4		
	rcall LCD_ZEILE4

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_WARTUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_W
	rcall LCD_A
	rcall LCD_R
	rcall LCD_T
	rcall LCD_U
	rcall LCD_N
	rcall LCD_G


	; ZEILE2	
	rcall LCD_ZEILE2
	rcall LCD_T
	LDS temp1,(adr_TASTE)
	rcall ANZEIGE_3_STELLEN_TEMP1
	; ZEILE3	
	rcall LCD_ZEILE3
	rcall LCD_E
	LDS temp1,(adr_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_TEMP1
	; ZEILE4	
	rcall LCD_ZEILE4
	rcall LCD_M
	LDS temp1,(adr_MENUE)
	rcall ANZEIGE_3_STELLEN_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Anzeige ROM-ID und Typ														
;																				
;	INP: SRAM (adr_MENUE)														
;																				
MENUE_ANZEIGE_SLAVES:
	; ZEILE1	
	rcall LCD_CLEAR
	LDS temp1,(adr_MENUE)
	subi temp1,10					; -10		
	rcall ANZEIGE_3_STELLEN_TEMP1	; SLAVE-NR	
	rcall LCD_SPACE
	rcall LCD_R
	rcall LCD_O
	rcall LCD_M
	rcall LCD_MINUS
	rcall LCD_I
	rcall LCD_D
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZL,LOW (adr_ROM_BUFFER512)	; Z-initialisieren
	ldi ZH,HIGH(adr_ROM_BUFFER512)
	LDS temp,(adr_MENUE)
	subi temp,11			; -11
	ldi temp1,8
	mul temp,temp1			; mal 8
	add ZL,R0
	adc ZH,R1
	; in ROM-CRC-BEREICH kopieren		
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+0),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+1),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+2),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+3),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+4),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+5),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+6),temp
	LD temp,Z+
	STS(adr_ROM_CRC_BEREICH8+7),temp	; CRC	
	; ROM-CRC-CHECK						
	rcall ROM_CRC7

	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_ANZEIGE_SCRATCHPAD
	; ROM-ID-ANZEIGE					
	rcall ANZEIGE_ROM_ID_KURZ
;-------------------------------------------------------------------------------
	; ZEILE3		
	rcall LCD_ZEILE3
	LDS temp1,(adr_ROM_CRC_BEREICH8+0)		; FAM-NAME
	rcall ANZEIGE_TEXT_FAMILY_KURZ_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE4		
	rcall LCD_ZEILE4

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Anzeige SCRATCHPAD															
;																				
;	INP: SRAM (adr_MENUE)														
;   INP; SRAM (adr_ROM_CRC_BEREICH8)											
;																				
MENUE_ANZEIGE_SCRATCHPAD:
	; ZEILE1	
	rcall LCD_CLEAR

	LDS temp1,(adr_MENUE)
	subi temp1,10						; -10		
	rcall ANZEIGE_3_STELLEN_TEMP1		; SLAVE-NR	
;-------------------------------------------------------------------------------
	LDS temp,(adr_ROM_CRC_BEREICH8+0)	; FAM		
	cpi temp,0x10
	brne MENUE_ANZEIGE_SCRATCHPAD_NO_x10
	rjmp MENUE_ANZEIGE_SCRATCHPAD_x10
MENUE_ANZEIGE_SCRATCHPAD_NO_x10:
;-------------------------------------------------------------------------------
	LDS temp,(adr_ROM_CRC_BEREICH8+0)	; FAM		
	cpi temp,0x22
	brne MENUE_ANZEIGE_SCRATCHPAD_NO_x22
	rjmp MENUE_ANZEIGE_SCRATCHPAD_x22
MENUE_ANZEIGE_SCRATCHPAD_NO_x22:
;-------------------------------------------------------------------------------
	LDS temp,(adr_ROM_CRC_BEREICH8+0)	; FAM		
	cpi temp,0x28
	brne MENUE_ANZEIGE_SCRATCHPAD_NO_x28
	rjmp MENUE_ANZEIGE_SCRATCHPAD_x28
MENUE_ANZEIGE_SCRATCHPAD_NO_x28:
;-------------------------------------------------------------------------------

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_SCRATCHPAD_x10:
	rcall ONE_WIRE_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	rcall DSXXXX_TEMPERATURBERECHNUNG_VARIANTE_9BIT
	rcall LCD_SPACE3
	rcall LCD_SPACE3
	rcall ANZEIGE_TEMPERATUR_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_SCRATCHPAD_x22:
	rcall ONE_WIRE_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	rcall DSXXXX_TEMPERATURBERECHNUNG_VARIANTE_12BIT
	rcall LCD_SPACE3
	rcall LCD_SPACE3
	rcall ANZEIGE_TEMPERATUR_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_SCRATCHPAD_x28:
	rcall ONE_WIRE_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	rcall DSXXXX_TEMPERATURBERECHNUNG_VARIANTE_12BIT
	rcall LCD_SPACE3
	rcall LCD_SPACE3
	rcall ANZEIGE_TEMPERATUR_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
